WordPress.org

Support

Support » Plugins and Hacks » [Plugin: XML Sitemap & Google News Sitemap Feeds] upgraded to WP 3.1 and plug in no longer works

[Plugin: XML Sitemap & Google News Sitemap Feeds] upgraded to WP 3.1 and plug in no longer works

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author RavanH

    @ravanh

    I was not aware of problems with the current stable version under 3.1-RC but I’m currently working with de development version on 3.1 and have not found any issues. Please try the dev version: http://downloads.wordpress.org/plugin/xml-sitemap-feed.zip

    If you still have problems, tell me more about where you installed it (/ plugins/ or /mu-plugins/) and maybe give me a link…

    Likewise- it doesn’t work for me in 3.1. I tried the dev version all that changed is the the plugin number is 3.9.2 in the error message:

    XML Parsing Error: XML or text declaration not at start of entity
    Location: http://mydomain.net/sitemap.xml
    Line Number 2, Column 1:<?xml version=”1.0″ encoding=”UTF-8″?><?xml-stylesheet type=”text/xsl” href=”http://mydomain.net/wp-content/plugins/xml-sitemap-feed/sitemap.xsl.php?ver=3.9.2″?>
    ^

    Works fine on my sites, all running 3.1 single and multisite. No problems.

    Plugin Author RavanH

    @ravanh

    jshare, you have a different problem : it seems somehow there is a blank line inserted in front of the feed output… i wonder why/how…

    do your normal feed sources have a blank line at the top?

    do you have a link for me?

    This worked fine with 3.0.5. It was the 2nd plugin I checked after upgrading to 3.1 in my dev environment because the sitemap is really important to me.

    Aside from the upgrades, I didn’t make any code changes to the site so I don’t know why there would be a blank line at the top of the feed now.

    I’m on nginx, don’t know if that’s an issue somehow.

    What would you like a link to?

    Plugin Author RavanH

    @ravanh

    I was hoping for a link to the live site but since you are on a dev environment, I suppose it is not accessiblefrom the internet?

    Can you take a look at the source of the feed? Maybe there is some PHP error message being thrown in there on the first line… Any “headers already sent” errors in the logs maybe?

    RavanH- I just checked the source of the feed, and you’re right, the error appears there. So I rolled back my dev environment to WordPress 3.0.5, checked the feed, and the error is there too. So it’s definitely not related to your plugin.

    I can now confirm that it works fine in 3.1 on my sites too.

    Plugin Author RavanH

    @ravanh

    excellent 🙂

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘[Plugin: XML Sitemap & Google News Sitemap Feeds] upgraded to WP 3.1 and plug in no longer works’ is closed to new replies.